/*
================
Fonts
================
*/
@import url('https://fonts.cdnfonts.com/css/satoshi');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/*
================
Variables
================
*/
:root {
    /* primary colors */
    --clr-primary-50:  #efedfd;
    --clr-primary-100: #e0dafb;
    --clr-primary-200: #c0b5f7;
    --clr-primary-300: #a190f2;
    --clr-primary-400: #816bee;
    --clr-primary-500: #6246ea;
    --clr-primary-600: #4e38bb;
    --clr-primary-700: #3b2a8c;
    --clr-primary-800: #271c5e;
    --clr-primary-900: #140e2f;

    /* neutral colors */
    --clr-neutral-50:  #fbfbfb;
    --clr-neutral-100: #d5d5d6;
    --clr-neutral-200: #aaabae;
    --clr-neutral-300: #808085;
    --clr-neutral-400: #55565d;
    --clr-neutral-500: #2B2C34;
    --clr-neutral-600: #22232a;
    --clr-neutral-700: #1a1a1f;
    --clr-neutral-800: #111215;
    --clr-neutral-900: #09090a;

    /* success colors */
    --clr-success-50:  #e6f6f1;
    --clr-success-100: #ccede4;
    --clr-success-200: #99dbc8;
    --clr-success-300: #66caad;
    --clr-success-400: #33b891;
    --clr-success-500: #00a676;
    --clr-success-600: #00855e;
    --clr-success-700: #006447;
    --clr-success-800: #00422f;
    --clr-success-900: #002118;

    /* warning colors */
    --clr-warning-50:  #fff6e7;
    --clr-warning-100: #feedcf;
    --clr-warning-200: #fedaa0;
    --clr-warning-300: #fdc870;
    --clr-warning-400: #fdb541;
    --clr-warning-500: #fca311;
    --clr-warning-600: #ca820e;
    --clr-warning-700: #97620a;
    --clr-warning-800: #654107;
    --clr-warning-900: #322103;

    /* destructive colors */
    --clr-destructive-50:  #fbe9ed;
    --clr-destructive-100: #f7d3da;
    --clr-destructive-200: #efa7b5;
    --clr-destructive-300: #e67a90;
    --clr-destructive-400: #fd4449;
    --clr-destructive-500: #d62246;
    --clr-destructive-600: #ab1b38;
    --clr-destructive-700: #80142a;
    --clr-destructive-800: #560e1c;
    --clr-destructive-900: #2b070e;

    /* pure colors */
    --clr-white:  #ffffff;
    --clr-black:  #000000;

    /* fonts */
    --ff-primary: 'Rubik', sans-serif;
    --ff-secondary: 'Satoshi', sans-serif;
    
    /* box-shadow */
    --shadow-sm: 0px 1px 2px rgba(0, 0, 0, 0.05);
    --shadow-base: 0px 1px 3px rgba(0, 0, 0, 0.1), 0px 1px 2px -1px rgba(0, 0, 0, 0.1);
    --shadow-md: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 6px -1px rgba(0, 0, 0, 0.1), 0px 2px 4px -2px rgba(0, 0, 0, 0.1);
    --shadow-lg: 0px 10px 15px -3px rgba(0, 0, 0, 0.1), 0px 4px 6px -4px rgba(0, 0, 0, 0.1);
    --shadow-xl: 0px 20px 25px -5px rgba(0, 0, 0, 0.1), 0px 8px 10px -6px rgba(0, 0, 0, 0.1);
    --shadow-2xl: 0px 25px 50px -12px rgba(0, 0, 0, 0.25);
    --shadow-inner:  inset 0px 2px 4px rgba(0, 0, 0, 0.05);
    --shadow-hover: 4px 4px 0px #140E2F;

    /* border-radius */
    --radius-sm: 2px;
    --radius-base: 4px;
    --radius-md: 6px;
    --radius-lg: 8px;
    --radius-xl: 12px;
    --radius-2xl: 16px;
    --radius-3xl: 24px;
    --radius-full: 9999px;

    /* Other variables */
    --transition: all 0.3s linear;
    --max-width: 1170px;
}

/*
================
Global Styles
================
*/

*, ::before, ::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--ff-primary);
    background: var(--clr-neutral-50);
    color: var(--clr-neutral-400);
    line-height: 1.8;
    font-weight: 400;
    scroll-behavior: smooth;
    outline: 2px solid red;
}

ul {
    list-style-type: none;
    padding: 0;
}

a {
    text-decoration: none;
    cursor: pointer;
}

img:not(.nav-logo, .hero-img) {
    width: 100%;
    display: block;
}

h1, h2, h3, h4, h5 {
    letter-spacing: var(--spacing);
    text-transform: none;
    line-height: 1.25;
    margin-bottom: 0.875rem;
    font-family: var(--ff-secondary);
    font-weight: 600;
    color: var(--clr-neutral-500);
}

h1 {
    font-size: 2rem;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 1.25rem;
}

h4 {
    font-size: 0.875rem;
}

h5 {
    font-size: 0.6rem;
}

p {
    font-weight: 300;
    
}

@media screen and (min-width: 800px) {
    h1 {
        font-size: 2.5rem;
    }
    h2 {
        font-size: 2rem;
    }
    h3 {
        font-size: 1.5rem;
    }
    h4 {
        font-size: 1rem;
    }

    h5 {
    font-size: 0.875rem;
}
    body {
        font-size: 1rem;
    }
    h1, h2, h3, h4, h5 {
        line-height: 1;
    }
}

/*
================
Global Classes
================
*/

.btn-primary {
    border: 2px solid #140E2F;
    background: var(--clr-primary-500);
    color: var(--clr-white);
    padding: .5rem 1.5rem;
    box-shadow: var(--shadow-base);
    border-radius: var(--radius-md);
    transition: var(--transition);
}

.btn-primary:hover{
    box-shadow: var(--shadow-hover);
    background: var(--clr-primary-600);
}

.section {
    padding: 2rem 0;
    width: 100%;
}

.section-center{
    margin: 0 auto;
    max-width: var(--max-width);
    width: 95vw;
    padding-bottom: 3rem;
}

.nav-section-center {
    margin: 0 auto;
    max-width: var(--max-width);
    width: 95vw;
}

.tittle-center {
    text-align: center;
}

.tittle {
    border-bottom: 2px solid var(--clr-primary-300);
    display: inline-block;
    margin-top: 3rem;
    margin-bottom: 4rem;
}

@media screen and (min-width: 769px) {
    .section {
    padding: 5rem 0;
    }
    .section-center{
        width: 90vw;
        padding-bottom: 4rem;
    }
    .tittle {
    margin-top: 4rem;
    margin-bottom: 6rem;
}
    .nav-section-center {
    width: 90vw;
}
}

/*
================
Navbar
================
*/

.nav {
    background: transparent;
    padding: 1.4rem 0;
}

.nav-logo {
    height: 2.4rem;
}

.nav-btn {
    width: 2.4rem;
    height: 2.4rem;
    border: transparent;
    background: transparent;
    transition: var(--transition);
    color: var(--clr-primary-500);
    cursor: pointer;
}

.nav-links {
    display: none;
}

.nav-link {
    text-decoration: none;
    font-weight: 400;
    color: var(--clr-neutral-500);
    transition: var(--transition);
}

.nav-link:hover {
    text-decoration: underline;
    color: var(--clr-primary-500);
}

.nav-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar-fixed {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 2;
    box-shadow: var(--shadow-base);
    background: var(--clr-primary-50);
}

@media screen and (min-width: 769px) {
    .nav-links {
        display: flex;
        align-items: center;
        gap: 1.6rem;
    }
    .nav-btn {
        display: none;
    }

    .nav-center {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .nav-logo {
    height: 3rem;
}
}

/* Sidebar */
.sidebar {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to top left, var(--clr-primary-900), var(--clr-primary-700));
    padding: 4rem 1rem 1rem 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4rem;
    z-index: 3;
    transform: translateX(100%);
    transition: var(--transition);
}

.show-sidebar {
    transform: translateX(0);
}

.close-btn {
    width: 2.4rem;
    height: 2.4rem;
    border: transparent;
    background: transparent;
    transition: var(--transition);
    color: var(--clr-white);
    position: absolute;
    top: 1.8rem;
    right: 1rem;
    cursor: pointer;

}

.close-btn:hover {
    color: var(--clr-neutral-100);
}

.sidebar-social-links {
    display: flex;
    align-items: center;
    gap: 1.8rem;   
}

.social-link {
    color: var(--clr-white);
}

.sidebar-links {
    display: flex;
    flex-direction: column;
    gap: 3rem;
    justify-content: space-between;
    align-items: center;
}

.sidebar-link {
    text-align: center;
    color: var(--clr-white);
}

.sidebar .btn-full {
    width: 100%;
    display: block;
    background: var(--clr-primary-500);
    color: var(--clr-white);
    border: 2px solid #140E2F;
    box-shadow: var(--shadow-base);
    border-radius: var(--radius-md);
    padding: 1rem 3rem;
    font-size: 1rem;
    font-weight: 400;
    text-align: center;
}

/*
================
Hero
================
*/

.hero {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}

.hero::before {
    background-image: url(./img/Bg-1.jpeg);
    background-size: cover;
    content: "";
    position: absolute;
    inset: 0;
    opacity: 0.5;
    height: 80vh;
}

.hero .hero-center {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 3rem;
}

.hero-img {
    height: 8rem;
    isolation: isolate;
}

.hero p {
    font-size: 15px;
    isolation: isolate;
}

.hero .hero-tittle {
    text-align: center;
    line-height: 1.5;
    margin-bottom: 0;
    isolation: isolate;
}

.hero .hero-text {
    text-align: center;
}


.hero .hero-inner-center {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
}

.hero-tittle .tittle-special-1 {
    color: var(--clr-primary-700);
}
.hero-tittle .tittle-special-2 {
    color: var(--clr-primary-400);
}

.parent-tittle {
    position: relative;
}

.parent-tittle .underline {
    position: absolute;
    color: var(--clr-primary-400);
    width: 12rem;
    top: 1.9rem;
    left: 32%;
}

.social-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    isolation: isolate;
}


.social-links .social-icon {
    color: var(--clr-white);
    border: 2px solid #140E2F;
    background: var(--clr-primary-500);
    box-shadow: var(--shadow-base);
    border-radius: var(--radius-md);
    transition: var(--transition);
    width: 3rem;
    height: 3rem;
    padding: .4rem;
}

.social-links .social-icon:hover {
    box-shadow: var(--shadow-hover);
    background: var(--clr-primary-600);
}

@media screen and (max-width:360px) {
    .hero-img {
    height: 6rem;
}
    .hero .hero-tittle {
    font-size: 1.4rem;
    margin-bottom: 0;
}
    .parent-tittle .underline {
    width: 11.8rem;
    top: 1.7rem;
    left: 6.4rem;
}
    .hero p {
    font-size: 15px;
}
    .social-links .social-icon {
    width: 2.6rem;
    height: 2.6rem;
    padding: .4rem;
}
    .social-links {
    gap: 1.2rem;
}
    .social-links .special-1 {
    padding: .4rem;
}
    .social-links .special-2 {
    padding: .5rem;
}
    .social-links .behance {
    padding: .3rem;
}
}

@media screen and (min-width:361px) {
    .hero-img {
    height: 7rem;
}
    .hero .hero-tittle {
    font-size: 1.6rem;
    margin-bottom: 0;
}
.parent-tittle .underline {
    width: 13.4rem;
    top: 2rem;
    left: 7.5rem;
}
    .hero p {
    font-size: 16px;
}
    .social-links .social-icon {
    width: 2.6rem;
    height: 2.6rem;
    padding: .4rem;
}
    .social-links {
    gap: 1.4rem;
}
    .social-links .special-1 {
    padding: .4rem;
}
    .social-links .special-2 {
    padding: .5rem;
}

    .social-links .behance {
    padding: .3rem;
}
    .nav-link {
    font-size: 1rem;
}
}

@media screen and (min-width:481px) {
    .hero-img {
    height: 8rem;
}
    .hero .hero-tittle {
    font-size: 1.6rem;
    margin-bottom: 0;
}
    .parent-tittle .underline {
    width: 13.2rem;
    top: 2rem;
    left: 7.3rem;
}
    .hero p {
    font-size: 16px;
}
    .social-links .social-icon {
    width: 2.8rem;
    height: 2.8rem;
    padding: .5rem;
}
    .social-links {
    gap: 1.4rem;
}
    .social-links .special-1 {
    padding: .5rem;
}
    .social-links .special-2 {
    padding: .6rem;
}
    .social-links .behance {
    padding: .3rem;
}
}

@media screen and (min-width:769px){
    .hero-img {
    height: 8rem;
}
    .hero .hero-tittle {
    font-size: 1.8rem;
    margin-bottom: 0;
}
    .parent-tittle .underline {
    width: 15rem;
    top: 2.2rem;
    left: 7.8rem;
}
    .hero p {
    font-size: 18px;
}
    .social-links .social-icon {
    width: 2.8rem;
    height: 2.8rem;
    padding: .4rem;
}
    .social-links {
    gap: 1.6rem;
}
    .social-links .special-1 {
    padding: .5rem;
}
    .social-links .special-2 {
    padding: .6rem;
}
    .social-links .behance {
    padding: .3rem;
}
    .btn-primary {
    padding: .4rem .8rem;
}
}

@media screen and (min-width:1025px) {
    .hero .hero-tittle {
    font-size: 1.8rem;
    margin-bottom: 0;
}
.parent-tittle .underline {
    width: 15rem;
    top: 2.2rem;
    left: 7.8rem;
}
    .hero p {
    font-size: 18px;
}
    .social-links .social-icon {
    width: 2.8rem;
    height: 2.8rem;
    padding: .4rem;
}
    .social-links {
    gap: 1.6rem;
}
    .social-links .special-1 {
    padding: .5rem;
}
    .social-links .special-2 {
    padding: .6rem;
}
    .btn-primary {
    padding: .4rem .8rem;
}
    .social-links .behance {
    padding: .3rem;
}
}

@media screen and (min-width:1201px) {
    .hero .hero-tittle {
    font-size: 2rem;
    margin-bottom: 0;
}
    .parent-tittle .underline {
    width: 16rem;
    top: 2.4rem;
    left: 9rem;
}
    .hero p {
    font-size: 18px;
}
    .social-links .social-icon {
    width: 2.8rem;
    height: 2.8rem;
    padding: .4rem;
}
    .social-links {
    gap: 1.8rem;
}
    .social-links .special-1 {
    padding: .5rem;
}
    .social-links .special-2 {
    padding: .6rem;
}
    .btn-primary {
    padding: .5rem 1rem;
}
    .social-links .behance {
    padding: .3rem;
}
}

/*
================
Selected Projects
================
*/
 
.projects {
    background: var(--clr-primary-50);
    width: 100%;
    padding-top: 3rem;
    -webkit-clip-path: polygon(0 2%, 100% 0, 100% 100%, 0% 100%);
            clip-path: polygon(0 2%, 100% 0, 100% 100%, 0% 100%);
}

.card {
    background: #FBFBFB;
    box-shadow: var(--shadow-base);
    border-radius: var(--radius-lg);
    transition: var(--transition);
}
.card:hover {
    transform: scale(1.01);
}

.projects .card-center {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 2rem;
}

.project-img {
    top: 2rem;
    left: 2rem;
    -o-object-fit: cover;
       object-fit: cover;
    height: 100%;
    -o-object-position: top;
       object-position: top 0 left 0;
    border-radius: var(--radius-lg);
}

.img-cont {
    height: 300px;
    width: 100%;
    overflow: hidden;
    background: var(--clr-primary-100);
    border-top-right-radius: var(--radius-lg);
    border-top-left-radius: var(--radius-lg);
}

.card-details {
    padding: 2rem 1rem;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.label-cont {
    display: flex;
    justify-content: start;
}

.card-label {
    font-size: .9rem;
    padding: .6rem .8rem;
    border-radius: var(--radius-base);
}

.card .card-tittle {
    font-size: 22px;
}

.web-label {
    color: var(--clr-success-600);
    background: var(--clr-success-50);
}

.redesign-label {
    color: var(--clr-warning-600);
    background: var(--clr-warning-50);
}
.app-label {
    color: var(--clr-destructive-600);
    background: var(--clr-destructive-50);
}

.card-btn {
    background: var(--clr-primary-500);
    border: 2px solid #140E2F;
    background: var(--clr-primary-500);
    color: var(--clr-white);
    box-shadow: var(--shadow-base);
    border-radius: var(--radius-md);
    transition: var(--transition);
    padding: .4rem 1rem;
}

.card-btn:hover {
    box-shadow: var(--shadow-hover);
    background: var(--clr-primary-600);
}

.btn-cont {
    display: flex;
    justify-content: end;
     margin: 1rem 0 0 0;
}

@media screen and (max-width:360px) {
    .tittle {
    font-size: 1.4rem;
    margin-top: 2rem;
}
    .img-cont {
    height: 240px;
}
    .projects {
    -webkit-clip-path: polygon(0 1%, 100% 0, 100% 100%, 0% 100%);
            clip-path: polygon(0 1%, 100% 0, 100% 100%, 0% 100%);
}
    .project-img {
    top: 1rem;
    left: 1rem;
    -o-object-position: left;
       object-position: left;
}
    .card-details {
    padding: 1.6rem 1rem;
}
    .btn-cont {
     margin: 0;
}
    .card .card-tittle {
    font-size: 18px;
}
    .card .card-label {
    font-size: 12px;
}
    .card-center {
    gap: 1rem;
}
    .card-sub {
        font-size: 14px;
    }
    .card-btn {
    padding: .2rem .6rem;
    font-size: 14px;
}
    .btn-cont {
     margin: 1rem 0 0 0;
}
}

@media (min-width:361px) and (max-width:480px){
    .tittle {
    font-size: 1.5rem;
     margin-top: 3rem;
    }
    .projects {
    -webkit-clip-path: polygon(0 1%, 100% 0, 100% 100%, 0% 100%);
            clip-path: polygon(0 1%, 100% 0, 100% 100%, 0% 100%);
}
    .img-cont {
    height: 240px;
}
    .project-img {
    top: 1rem;
    left: 1rem;
    -o-object-position: top;
       object-position: top;
}
    .card .card-label {
    font-size: 12px;
    }
    .card-sub {
        font-size: 14px;
    }
    .card-btn {
    padding: .3rem .6rem;
    font-size: 14px;
}
    .btn-cont {
     margin: 1.2rem 0 0 0;
}
    .card .card-tittle {
    font-size: 20px;
}
}

@media (min-width:481px) and (max-width:768px){
    .card .card-tittle {
    font-size: 20px;
}
    .projects {
    -webkit-clip-path: polygon(0 1%, 100% 0, 100% 100%, 0% 100%);
            clip-path: polygon(0 1%, 100% 0, 100% 100%, 0% 100%);
}
    .project-img {
    -o-object-position: left;
       object-position: left;
}
    .card .card-label {
    font-size: 13px;
    }
    .card-sub {
        font-size: 16px;
    }
    .card-btn {
    padding: .4rem 1rem;
    font-size: 14px;
}
    .btn-cont {
     margin: 1.2rem 0 0 0;
}
}
@media (min-width:769px) and (max-width:1024px){
    .card .card-tittle {
    font-size: 22px;
}
    .projects {
    -webkit-clip-path: polygon(0 2%, 100% 0, 100% 100%, 0% 100%);
            clip-path: polygon(0 2%, 100% 0, 100% 100%, 0% 100%);
}
    .project-img {
    -o-object-position: left;
       object-position: left;
}
    .card .card-label {
    font-size: 14px;
    }
    .card-sub {
        font-size: 16px;
    }
    .card-btn {
    padding: .4rem 1rem;
    font-size: 15px;
}
    .btn-cont {
     margin: 1.2rem 0 0 0;
}
}

@media screen and (min-width: 1025px) {
    .projects .card-center {
    grid-template-columns: repeat(2, minmax(400px, 1fr));
}
}

@media screen and (min-width:1201px) {
    .projects .card-center {
    grid-template-columns: repeat(2, minmax(500px, 1fr));
}
}


/*
================
Process
================
*/

.process {
    background: var(--clr-primary-900);
}

.process .section-center {
    padding-bottom: 8rem;
}

.process .tittle {
    color: var(--clr-white);
}

.process-items {
    display: flex;
    flex-direction: column;
}

.process-item {
    padding: .2rem 1rem;
    border: 1px solid var(--clr-primary-100);
    border-radius: 1rem;
    display: inline;
    font-size: 14px;
    color: var(--clr-primary-100);
    /* width: 100%; */
    margin-top: 1rem;
    /* font-weight: normal; */
}

.process-card h3 span {
    font-size: 2rem;
    color: var(--clr-primary-300);
}

.process-center{
    padding-bottom: 3rem;
}

.process-card h3 {
    color: var(--clr-white);
    display: inline-block;
}

.process-card {
    margin-top: 2rem;
}

.first-c {
    margin-top: 2rem;
}


@media screen and (max-width:360px) {
    .process-card h3 {
    font-size: 18px;
}
    .process-card h3 span {
    font-size: 26px;
}
    .process-items {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0 1rem;
    justify-content: flex-start;
}
    .process-item {
     padding: .2rem 1.2rem;
     font-size: 14px;
}
    .first-c {
    margin-top: 0;
}
.process .section-center {
    padding-bottom: 3rem;
}
}

@media screen and (min-width:361px) {
    .process-card h3 {
    font-size: 20px;
}
    .process-card h3 span {
    font-size: 28px;
}
    .process-items {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0 1rem;
    justify-content: flex-start;
}
    .process-item {
     padding: .2rem 1.4rem;
     font-size: 14px;
}
    .first-c {
    margin-top: 0;
}
    .process-card {
    margin-top: 2.4rem;
}
    .process .section-center {
    padding-bottom: 4rem;
}
}

@media screen and (min-width:481px) {
    .process-card h3 {
    font-size: 22px;
}
    .process-card h3 span {
    font-size: 28px;
}
    .process-items {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0 1rem;
    justify-content: flex-start;
}
    .process-item {
     padding: .2rem 1.4rem;
     font-size: 16px;
     margin-top: 1.2rem;
}
    .process-card {
    margin-top: 3rem;
}
    .first-c {
    margin-top: 0;
}
    .process .section-center {
    padding-bottom: 5rem;
}
}

@media screen and (min-width:769px) {
    .process-card h3 {
    font-size: 22px;
}
    .process-card h3 span {
    font-size: 28px;
}
    .process-items {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0 1rem;
    justify-content: flex-start;
}
    .process-item {
     padding: .2rem 1.4rem;
     font-size: 16px;
     margin-top: 1.2rem;
}
    .process-card {
    margin-top: 4rem;
}
    .first-c {
    margin-top: 0;
}
    .process .section-center {
    padding-bottom: 3rem;
}
}

@media screen and (min-width:1025px) {
    .process-card {
    margin-top: 4rem;
}
    .first-c {
    margin-top: 0;
}
    .process .section-center {
    padding-bottom: 4rem;
}
}

@media screen and (min-width:1201px) {
    .process-card {
    margin-top: 5rem;
}
    .first-c {
    margin-top: 0;
}
    .process .section-center {
    padding-bottom: 5rem;
}
}


/*
================
Services
================
*/

.services .card {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    border-color: transparent;
    border-top-width: 6px;
    border-top-style: solid;
    background-image: linear-gradient(white, white), radial-gradient(circle at top left, var(--clr-primary-500),var(--clr-primary-700));
    background-origin: border-box;
    background-clip: padding-box, border-box;
    padding: 3rem 2rem 2rem 2rem;
}

.services .card-center {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
}

.services .card .service-img {
    width: 4rem;
    object-fit: cover;
}

.services .card .special-img {
    width: 4.4rem;
}

.services .card h3 {
    margin-bottom: 0;
    margin-top: .5rem;
}

@media screen and (max-width:360px) {
    .services .card {
    padding: 1.6rem 1.2rem 1.6rem 1.2rem;
    }
    .services .service-img {
    width: 3rem;
    object-fit: cover;
}
    .services .card h3 {
    font-size: 18px;
}
    .services .card p {
    font-size: 14px;
 }
}

@media screen and (min-width:361px) {
    .services .card {
    padding: 1.6rem 1.2rem 1.6rem 1.2rem;
    }
    .services .service-img {
    width: 3rem;
    object-fit: cover;
}
    .services .card h3 {
    font-size: 18px;
}
    .services .card p {
    font-size: 14px;
 }
    .services .card h3 {
    margin-top: .8rem;
}
}

@media screen and (min-width:481px) {
    .services .card {
    padding: 2rem 1rem;
    }
    .services .card p {
    font-size: 16px;
 }
     .services .card h3 {
    font-size: 20px;
}
}

@media screen and (min-width:769px) {
    .services .card h3 {
    font-size: 22px;
}
    .services .card h3 {
    margin-top: 1rem;
}
    .services .card p {
    font-size: 16px;
 }
 .services .card {
      padding: 2.2rem 1.2rem;
 }
}

@media screen and (min-width:1025px) {
    .services .card h3 {
    font-size: 22px;
} 
    .services .card p {
    font-size: 16px;
 }
    .services .card {
    padding: 2.2rem 1.2rem;
    }
}


@media screen and (min-width: 1201px) {
    .services .card h3 {
    font-size: 22px;
} 
    .services .card p {
    font-size: 16px;
 }
    .services .card {
    padding: 2.4rem 1.6rem;
    }
}


/*
================
Tools
================
*/

.tools {
    background: var(--clr-primary-50);
}

.tools .tool-img {
    width: 3rem;
    object-fit: cover;
}

.tools .tool-spe {
    width: 3.8rem;
}

.tools .card-center {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(50px, 1fr));
    justify-items: space-between;
    align-items: center;
    gap: 2rem 1.2rem;
}

.tools .section-center {
    padding-bottom: 4rem;
}

@media screen and (max-width:360px){
    .tools .tool-img {
    width: 2rem;
}
.tools .card-center {
    justify-items: center;
    gap: 1.2rem .8rem;
}
.tools .tool-spe {
    width: 2.6rem;
}
}

@media screen and (min-width:361px){
    .tools .tool-img {
    width: 2.2rem;
}
    .tools .card-center {
    justify-items: center;
    gap: 1.6rem .8rem;
}
}
@media screen and (min-width:481px){
    .tools .tool-img {
    width: 2.4rem;
}
    .tools .tool-spe {
    width: 3rem;
}
}

@media screen and (min-width:769px) {
    .tools .tool-img {
    width: 2.8rem;
}
    .tools .card-center {
    justify-items: space-between;
    gap: 1.6rem .8rem;
}
    .tools .tool-spe {
    width: 3.4rem;
}
}

@media screen and (min-width: 1025px) {
    .tools .tool-img {
    width: 3rem;
}
    .tools .card-center {
    gap: 0 1rem;
}
    .tools .tool-spe {
    width: 3.8rem;
}
}

@media screen and (min-width: 1200px) {
    .tools .tool-spe {
    width: 3.8rem;
}
}


/*
================
Footer
================
*/
.footer {
    background: var(--clr-primary-900);
    color: var(--clr-white);
    overflow: hidden;
}
.footer-center {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    max-width: var(--max-width);
    width: 95vw;
}

.footer {
    padding: 3rem 0;
}

@media screen and (max-width: 360px) {
    .footer-center p {
        font-size: 14px;
    }
    .p-2 {
        display: none;
    }
}
@media (min-width:361px) and (max-width:480px) {
    .footer-center p {
        font-size: 14px;
    }
      .p-2 {
        display: none;
    }
}

@media screen and (min-width: 769px) {
     .footer-center{
        width: 90vw;
    }
}

@media (min-width:1025px) and (max-width:1200px) {
    .card-center {
    grid-template-columns: repeat(2, minmax(300px, 1fr));
    gap: 2rem;
}
}

@media screen and (min-width:1201px) {
    .card-center {
    grid-template-columns: repeat(2, minmax(300px, 1fr));
    gap: 2rem;
}
}